@import '../../variables';

:host {
  color: $ch-dark-winter-cyan-light-gray;
}

mat-form-field {
  color: $ch-dark-winter-cyan-light-gray;
}

mat-datepicker-toggle {
  color: $ch-dark-winter-cyan-light-gray;
}

::ng-deep.mat-form-field-label {
  color: $ch-dark-winter-cyan-light-gray!important;
}

.kd-report-title {
  color: $ch-dark-winter-teal;
}

.kd-report-text {
  background: $ch-dark-winter-dark-background-v2;
  color: $ch-dark-winter-cyan-light-gray;
  font-size: 16px;
  font-family: 'Courier New', Courier, monospace;
}

.kd-create-report {
  height: 40px;
  background: $ch-dark-winter-dark-blue;
  color: $ch-dark-winter-cyan-light-gray;
  font-family: Helvetica, Arial, sans-serif;
  border: 0.5px solid $ch-dark-winter-dark-blue-border;
  border-radius: 2px;
}

.kd-create-report:hover {
  background: $ch-dark-winter-nav-text-active;
  color: $ch-dark-winter-dark-blue;
  cursor: pointer;
}

.kd-create-report-disabled {
  height: 40px;
  background: $ch-dark-winter-dark-blue;
  color: rgb(143, 143, 143);
  font-family: Helvetica, Arial, sans-serif;
  border: 0.5px solid $ch-dark-winter-dark-blue-border;
  border-radius: 2px;
  cursor: default;
}

.kd-grid-tile {
  border: 1px solid $ch-dark-winter-dark-blue-border;
}

.kd-clear-archive {
  height: 40px;
  background: $kd-btn-danger;
  color: $ch-dark-winter-cyan-light;
  border: 0.5px solid $ch-dark-winter-dark-red-border;
  border-radius: 2px;
}

.kd-clear-archive:hover {
  background: $ch-dark-winter-nav-text-active;
  color: $ch-dark-winter-dark-blue;
  cursor: pointer;
}
